from typing import Union

from tmtc_core.pus_tc.tmtcc_pus_tc_base import TcQueueT
from tmtc_core.pus_tc.tmtcc_tc_service8_functional_cmd import generate_action_command
from config.tmtcc_config import LED_TASK_ID


def pack_utility_command(service_queue: TcQueueT, op_code: Union[str, int]):
    if op_code == "A0":
        service_queue.appendleft(generate_action_command(LED_TASK_ID, 0x00).pack_command_tuple())
    elif op_code == "A1":
        service_queue.appendleft(generate_action_command(LED_TASK_ID, 0x01).pack_command_tuple())

